local fn = _gn(0x309BBEBEA8A3986C)
--- matchType:
-- enum eMatchType
-- {
-- MATCHTYPE_DEPRECATED,
-- MATCHTYPE_UGCPLAYLIST,
-- MATCHTYPE_UGCMISSION,
-- MATCHTYPE_MINIGAME,
-- MATCHTYPE_SEAMLESS,
-- MATCHTYPE_PRIVATE_DO_NOT_USE
-- };
function Global.NetworkSessionRequestSessionCompetitive(flags, matchType, userHash, p3, sessionRequestId)
	return _in2(fn, flags, matchType, userHash, p3, _ii(sessionRequestId) --[[ may be optional ]], _ri)
end
